@import url("https://fonts.googleapis.com/css2?family=Inter:wght@300;400;500;600;700&display=swap");
@import url("https://use.fontawesome.com/releases/v5.7.2/css/fontawesome.css");
@import url("https://use.fontawesome.com/releases/v5.7.2/css/brands.css");
@import url("https://use.fontawesome.com/releases/v5.7.2/css/solid.css");
@import url("https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css");
@import url("https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css");

body {
    // background-color: #f5fbff;
    background-color: #2a2c39;
}

#app {
    /*font-family: Avenir, Helvetica, Arial, sans-serif;*/
    font-family: "Inter", sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-align: center;
    // color: #2c3e50;
    color: white;
    margin-top: 60px;
}

#qrCodeImage {
    display: block;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 5px;
    width: 100%;
    height: 100%;
    max-width: 200px;
    max-height: 200px;
}

#app p {
    font-size: 1.4rem;
}

#app h1 {
    font-size: 2rem;
}

#imageLogo {
    width: 560px;
    height: auto;
    margin-bottom: 30px;
}

@media (max-width: 575.98px) {
    .hide-on-lg-down,
    .hide-on-med-down,
    .hide-on-sm-down,
    .hide-on-xs {
        display: none !important;
    }

    #sendBtn {
        position: fixed;
        bottom: 0;
        right: 0;
        width: 100%;
        height: 10%;
    }

    #imageLogo {
        width: 60%;
        height: auto;
    }

    #app p {
        font-size: 1rem;
    }

    #app h1 {
        font-size: 1.5rem;
    }

    #customInput {
        font-size: 1rem;
    }

    .text-long-url {
        text-align: center;
    }

    .text-short-url {
        text-align: center;
    }
}

@media (min-width: 576px) and (max-width: 767.98px) {
    .hide-on-lg-down,
    .hide-on-med-down,
    .hide-on-sm,
    .hide-on-sm-down,
    .hide-on-sm-up {
        display: none !important;
    }

    #sendBtn {
        position: fixed;
        bottom: 0;
        right: 0;
        width: 100%;
        height: 10%;
    }

    #imageLogo {
        width: 50%;
        height: auto;
    }

    #app p {
        font-size: 1.5rem;
    }

    #app h1 {
        font-size: 1.8rem;
    }

    #customInput {
        font-size: 1.5rem;
    }

    .text-long-url {
        text-align: center;
    }

    .text-short-url {
        text-align: center;
    }
}

@media (min-width: 768px) and (max-width: 991.98px) {
    .hide-on-lg-down,
    .hide-on-med,
    .hide-on-med-up,
    .hide-on-sm-up {
        display: none !important;
    }

    #imageLogo {
        width: 50%;
        height: auto;
    }

    #app p {
        font-size: 1.5rem;
    }

    #app h1 {
        font-size: 1.8rem;
    }

    #customInput {
        font-size: 1.5rem;
    }
}

@media (min-width: 992px) and (max-width: 1199.98px) {
    .hide-on-lg,
    .hide-on-lg-down,
    .hide-on-lg-up,
    .hide-on-med-up,
    .hide-on-sm-up {
        display: none !important;
    }

    #imageLogo {
        width: 40%;
        height: auto;
    }

    #app p {
        font-size: 1.8rem;
    }

    #app h1 {
        font-size: 2rem;
    }

    #customInput {
        font-size: 1.8rem;
    }
}

@media (min-width: 1200px) {
    .hide-on-lg-up,
    .hide-on-med-up,
    .hide-on-sm-up,
    .hide-on-xl {
        display: none !important;
    }

    #imageLogo {
        width: 40%;
        height: auto;
    }

    .text-long-url {
        font-size: 2rem !important;
        color: black !important;
    }

    .text-short-url {
        font-size: 2.2rem !important;
        color: #007bff;
    }

    #urlform {
        font-size: 2.25rem;
    }

    label {
        color: black;
        font-size: 2.1rem;
    }

    #app p {
        font-size: 2.1rem;
    }

    #app h1 {
        font-size: 2.4em;
    }

    #customInput {
        font-size: 2.1rem;
    }
}

.card {
    border-color: #007bff;
}

.input-group-text {
    background-color: green;
    color: white;
    font-size: 1.1rem;
}

#customInput {
    font-size: 1.1rem;
}

#sendBtn {
    background-color: #0c7716;
    color: white;
}

.text-long-url {
    font-size: 1rem !important;
    color: black !important;
}

.text-short-url {
    font-size: 1.2rem !important;
    color: #007bff;
    border: 0;
}

.sosmed {
    padding: 5px;
    font-size: 1.1rem;
    width: 18.36377%;
    text-align: center;
    text-decoration: none;
    margin: 0;
}

.sosmed:hover {
    opacity: 0.7;
}

.fa-facebook {
    background: #3b5998;
    color: white;
}

.fa-twitter {
    background: #55acee;
    color: white;
}

.fa-linkedin {
    background: #007bb5;
    color: white;
}

.fa-instagram {
    background: #125688;
    color: white;
}

.fa-telegram {
    background: #066cc0;
    color: white;
}

.fa-whatsapp {
    background: #05a153;
    color: white;
}

// .text-short-url:hover,.text-short-url:active {
//     border: 0;
// }

#urlform {
    font-size: 1.25rem;
}

label {
    color: black;
    font-size: 1.25rem;
}

.lds-ellipsis {
    display: inline-block;
    position: relative;
    width: 80px;
    height: 80px;
}
.lds-ellipsis div {
    position: absolute;
    top: 33px;
    width: 13px;
    height: 13px;
    border-radius: 50%;
    background: #fff;
    animation-timing-function: cubic-bezier(0, 1, 1, 0);
}
.lds-ellipsis div:nth-child(1) {
    left: 8px;
    animation: lds-ellipsis1 0.6s infinite;
}
.lds-ellipsis div:nth-child(2) {
    left: 8px;
    animation: lds-ellipsis2 0.6s infinite;
}
.lds-ellipsis div:nth-child(3) {
    left: 32px;
    animation: lds-ellipsis2 0.6s infinite;
}
.lds-ellipsis div:nth-child(4) {
    left: 56px;
    animation: lds-ellipsis3 0.6s infinite;
}
@keyframes lds-ellipsis1 {
    0% {
        transform: scale(0);
    }
    100% {
        transform: scale(1);
    }
}
@keyframes lds-ellipsis3 {
    0% {
        transform: scale(1);
    }
    100% {
        transform: scale(0);
    }
}
@keyframes lds-ellipsis2 {
    0% {
        transform: translate(0, 0);
    }
    100% {
        transform: translate(24px, 0);
    }
}
